ON_DisplayMaterialRef Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_linestyle.h>`

## Public Member Functions

| ON_DisplayMaterialRef ()
int | Compare (const ON_DisplayMaterialRef &other) const
bool | operator== (const ON_DisplayMaterialRef &other) const
bool | operator!= (const ON_DisplayMaterialRef &other) const
bool | operator< (const ON_DisplayMaterialRef &other) const
bool | operator<= (const ON_DisplayMaterialRef &other) const
bool | operator> (const ON_DisplayMaterialRef &other) const
bool | operator>= (const ON_DisplayMaterialRef &other) const

## Public Attributes

ON_UUID | m_viewport_id
ON_UUID | m_display_material_id

## Static Public Attributes

static const ON_UUID | m_invisible_in_detail_id

## Detailed Description

Definition at line 43 of file opennurbs_linestyle.h.

## Constructor & Destructor Documentation

## ON_DisplayMaterialRef()

ON_DisplayMaterialRef::ON_DisplayMaterialRef | ( |  | ) |

## Member Function Documentation

## Compare()

int ON_DisplayMaterialRef::Compare | ( | const ON_DisplayMaterialRef & | other | ) | const

## operator!=()

bool ON_DisplayMaterialRef::operator!= | ( | const ON_DisplayMaterialRef & | other | ) | const

## operator<()

bool ON_DisplayMaterialRef::operator< | ( | const ON_DisplayMaterialRef & | other | ) | const

## operator<=()

bool ON_DisplayMaterialRef::operator<= | ( | const ON_DisplayMaterialRef & | other | ) | const

## operator==()

bool ON_DisplayMaterialRef::operator== | ( | const ON_DisplayMaterialRef & | other | ) | const

## operator>()

bool ON_DisplayMaterialRef::operator> | ( | const ON_DisplayMaterialRef & | other | ) | const

## operator>=()

bool ON_DisplayMaterialRef::operator>= | ( | const ON_DisplayMaterialRef & | other | ) | const

## Member Data Documentation

## m_display_material_id

ON_UUID ON_DisplayMaterialRef::m_display_material_id

Definition at line 68 of file opennurbs_linestyle.h.

## m_invisible_in_detail_id

const ON_UUID ON_DisplayMaterialRef::m_invisible_in_detail_id

static

Definition at line 76 of file opennurbs_linestyle.h.

## m_viewport_id

ON_UUID ON_DisplayMaterialRef::m_viewport_id

Definition at line 62 of file opennurbs_linestyle.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_linestyle.h